package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.TbIdea;

/**
 * 意见反馈Service接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface ITbIdeaService 
{
    /**
     * 查询意见反馈
     * 
     * @param ideaId 意见反馈主键
     * @return 意见反馈
     */
    public TbIdea selectTbIdeaByIdeaId(Long ideaId);

    /**
     * 查询意见反馈列表
     * 
     * @param tbIdea 意见反馈
     * @return 意见反馈集合
     */
    public List<TbIdea> selectTbIdeaList(TbIdea tbIdea);

    /**
     * 新增意见反馈
     * 
     * @param tbIdea 意见反馈
     * @return 结果
     */
    public int insertTbIdea(TbIdea tbIdea);

    /**
     * 修改意见反馈
     * 
     * @param tbIdea 意见反馈
     * @return 结果
     */
    public int updateTbIdea(TbIdea tbIdea);

    /**
     * 批量删除意见反馈
     * 
     * @param ideaIds 需要删除的意见反馈主键集合
     * @return 结果
     */
    public int deleteTbIdeaByIdeaIds(String ideaIds);

    /**
     * 删除意见反馈信息
     * 
     * @param ideaId 意见反馈主键
     * @return 结果
     */
    public int deleteTbIdeaByIdeaId(Long ideaId);
}
